Skip to content
Browse files

Downgrade bundler until 1.5.2 is available

Bundler sets the THOR_DEBUG environment variable causing Thor to
re-raise exceptions on exit. This is breaking the railties tests
for generators where we are trying to capture error output.

The PR bundler/bundler#2794 fixes this by adding a per-instance
config `:debug` but this has not been released yet so to prevent
errors going unnoticed downgrade bundler to 1.3.5 until such a
time that 1.5.2 has been released.
  • Loading branch information...
1 parent 358abe4 commit 821525eadc850276c0eb564e769e1beaf5ce2116 @pixeltrix pixeltrix committed Jan 1, 2014
Showing with 1 addition and 1 deletion.
  1. +1 −1 .travis.yml
View
2 .travis.yml
@@ -1,6 +1,6 @@
script: 'ci/travis.rb'
before_install:
- - travis_retry gem install bundler
+ - travis_retry gem install bundler -v 1.3.5
- "rvm current | grep 'jruby' && export AR_JDBC=true || echo"
rvm:
- 1.9.3

0 comments on commit 821525e

Please sign in to comment.
Something went wrong with that request. Please try again.